Subject: Re: 23.1; Infinite recursion in url-generic-parse-url

From: Chong Yidong <[email-masked]>
Date: Fri, 11 Sep 2009 20:47:58 -0400

> When an HTTP URL passed to url-generic-parse-url does not include a
> port number, and the environment variable http_proxy is set and also
> does not include a port number, infinite recursion results.

Thanks for the bug report.  I've checked a fix into the trunk.